DO $$
    DECLARE _path character varying(256) = 'patch-2025_08_06-FlexibleTables';

    BEGIN
        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15227) THEN
            RETURN;
        END IF;

        BEGIN
            ALTER TABLE public."FlexibleTables" ADD "Color" character varying(10) NULL;

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
            EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$